---
title: "Returns request data"
url: "https://developer.kong-sales-engineering.com/apis/owasp-top-10/versions/d88716f3-7391-4ba4-857e-6502084143bb/paths/owasptop10/post"
---

> Full API specification: https://developer.kong-sales-engineering.com/apis/owasp-top-10/versions/d88716f3-7391-4ba4-857e-6502084143bb.md

# Returns request data

`POST` `/owasptop10`

Returns the request data including headers, URL, and body.

## Request body

Content types: `application/json`

## Responses

- `200` - Successful response

## OpenAPI definition

```yaml
openapi: 3.0.3
info:
  title: OWASP Top 10
  version: 1.0.0
servers:
  - url: https://shared-services.kong-sales-engineering.com
    description: Production server
paths:
  /owasptop10:
    post:
      summary: Returns request data
      description: Returns the request data including headers, URL, and body.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                firstName:
                  type: string
                lastName:
                  type: string
                email:
                  type: string
            example:
              firstName: Pete
              lastName: Townsend
              email: ptowns@gmail.com
      responses:
        "200":
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  args:
                    type: object
                    additionalProperties:
                      type: string
                  data:
                    type: string
                  files:
                    type: object
                    additionalProperties:
                      type: string
                  form:
                    type: object
                    additionalProperties:
                      type: string
                  headers:
                    type: object
                    additionalProperties:
                      type: string
                  json:
                    type: object
                    additionalProperties:
                      type: string
                  method:
                    type: string
                  origin:
                    type: string
                  url:
                    type: string
security:
  - basicAuth: []
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
```
